Name:		vice
Version:	3.1
Release:	%mkrel 1
License:	GPLv2+
Summary:	Versatile Commodore Emulator
Group:		Emulators
URL:		http://vice-emu.sourceforge.net/
Source0:	http://sourceforge.net/projects/vice-emu/files/development-releases/%{name}-%{version}.tar.xz
Source1:	vice-normalicons.tar.bz2
Source2:	vice-largeicons.tar.bz2
Source3:	vice-miniicons.tar.bz2
Patch0:		vice-2.4.24-datadir.patch
Patch1:		vice-2.4.24-no-rpath.patch
Patch2:		vice-htmlview.patch
BuildRequires: pkgconfig(ncurses)
BuildRequires: flex
BuildRequires: mkfontdir
BuildRequires: pkgconfig(xt)
BuildRequires: gettext-devel
BuildRequires: SDL_sound-devel
BuildRequires: bison
BuildRequires: texinfo
BuildRequires: bdftopcf
BuildRequires: lib64alsa2-devel
BuildRequires: lib64atk1.0-devel
BuildRequires: lib64cairo-devel
BuildRequires: lib64flac8-devel
BuildRequires: lib64gdk_pixbuf2.0_0-devel 
BuildRequires: lib64gif-devel 
BuildRequires: lib64glib2.0-devel
BuildRequires: lib64gtk+2.0_0-devel
BuildRequires: lib64gtkglext-devel
BuildRequires: lib64jpeg-devel
BuildRequires: lib64lame-devel
BuildRequires: lib64ogg-devel
BuildRequires: lib64pango1.0-devel
BuildRequires: lib64png1.6-devel
BuildRequires: lib64portaudio-devel
BuildRequires: lib64pulseaudio-devel
BuildRequires: lib64readline-devel
BuildRequires: lib64vorbis0-devel
BuildRequires: lib64vte-devel
BuildRequires: lib64x11-devel
BuildRequires: lib64xrandr-devel
BuildRequires: lib64xrender-devel
BuildRequires: lib64xxf86vm-devel
BuildRequires: mesa-devel
BuildRequires: pciutils-devel
BuildRequires: x11-proto-devel
BuildRequires: zlib1-devel

%description
VICE is a set of accurate emulators for the Commodore 64, 128, VIC20,
PET and CBM-II 8-bit computers, all of which run under the X Window
System.

%prep
%setup -q
%apply_patches

%build
autoreconf -vfi

export CFLAGS="%{optflags} -DNO_REGPARM"
%configure2_5x --enable-gnomeui --enable-fullscreen

%make_build

%install
rm -rf %buildroot
%make_install

#xdg menu
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/vice-x64.desktop << EOF
[Desktop Entry]
Name=C64 Emulator
Comment=Commodore 64 Emulator
Exec=%{_bindir}/x64 %U
Icon=c64icon
Terminal=false
Type=Application
MimeType=application/x-d64;application/x-t64;application/x-x64;
StartupNotify=true
Categories=GTK;Emulator;
EOF
cat > %{buildroot}%{_datadir}/applications/vice-x128.desktop << EOF
[Desktop Entry]
Name=C128 Emulator
Comment=Commodore 128 Emulator
Exec=%{_bindir}/x128 %U
Icon=c128icon
Terminal=false
Type=Application
MimeType=application/x-d64;application/x-t64;application/x-x64;
StartupNotify=true
Categories=GTK;Emulator;
EOF
cat > %{buildroot}%{_datadir}/applications/vice-xpet.desktop << EOF
[Desktop Entry]
Name=PET Emulator
Comment=Commodore PET Emulator
Exec=%{_bindir}/xpet %U
Icon=peticon
Terminal=false
Type=Application
MimeType=application/x-d64;application/x-t64;application/x-x64;
StartupNotify=true
Categories=GTK;Emulator;
EOF
cat > %{buildroot}%{_datadir}/applications/vice-xvic.desktop << EOF
[Desktop Entry]
Name=VIC 20 Emulator
Comment=Commodore VIC 20 Emulator
Exec=%{_bindir}/xvic %U
Icon=vic20icon
Terminal=false
Type=Application
MimeType=application/x-d64;application/x-t64;application/x-x64;
StartupNotify=true
Categories=GTK;Emulator;
EOF
cat > %{buildroot}%{_datadir}/applications/vice-xcbm2.desktop << EOF
[Desktop Entry]
Name=CBM2 Emulator
Comment=Commodore BM 2 Emulator
Exec=%{_bindir}/xcbm2 %U
Icon=c610icon
Terminal=false
Type=Application
MimeType=application/x-d64;application/x-t64;application/x-x64;
StartupNotify=true
Categories=GTK;Emulator;
EOF
cat > %{buildroot}%{_datadir}/applications/vice-xplus4.desktop << EOF
[Desktop Entry]
Name=CPLUS4 Emulator
Comment=Commodore PLUS4 Emulator
Exec=%{_bindir}/xplus4 %U
Icon=plus4icon
Terminal=false
Type=Application
MimeType=application/x-d64;application/x-t64;application/x-x64;
StartupNotify=true
Categories=GTK;Emulator;
EOF
cat > %{buildroot}%{_datadir}/applications/vice-c1541.desktop << EOF
[Desktop Entry]
Name=VICE disk image tool
Comment=C1541 stand alone disk image maintenance program
Exec=%{_bindir}/c1541 %U
Icon=commodore
Terminal=true
Type=Application
StartupNotify=true
Categories=Emulator;
EOF
cat > %{buildroot}%{_datadir}/applications/vice-vsid.desktop << EOF
[Desktop Entry]
Name=VSID music player
Comment=VICE SID music player for Commodore tunes
Exec=%{_bindir}/vsid %U
Icon=commodore
Terminal=false
Type=Application
StartupNotify=true
Categories=GTK;X-MandrivaLinux-Multimedia-Sound;
EOF

#install icons
mkdir -p %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,48x48}/apps
tar xjf %{SOURCE1} -C %{buildroot}%{_iconsdir}/hicolor/32x32/apps
tar xjf %{SOURCE2} -C %{buildroot}%{_iconsdir}/hicolor/48x48/apps
tar xjf %{SOURCE3} -C %{buildroot}%{_iconsdir}/hicolor/16x16/apps

%find_lang %{name}

#gw these are straight conversions of the info document
rm -f %{buildroot}%{_infodir}/*.{txt,pdf}

%files -f %{name}.lang
%{_bindir}/*
%{_datadir}/vice/
%{_mandir}/man1/*
%{_infodir}/vice.info*
%{_datadir}/applications/vice-*
%{_iconsdir}/hicolor/*/apps/*.png


%post
%update_menus

%postun
%clean_menus


%changelog
* Sat Jan 04 2020 tex - 3.1-1pclos2020
- new version 3.1
